VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSpell"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public sGUID As String
Public sSpellType As String
Public sSpellName As String
Public nSpellLevel As Long
Public nSpellQuantity As Long
Public nCost As Long

Private Sub Class_Initialize()
    sGUID = GetGUID("Spell")
End Sub

Public Function GetKey() As String

    GetKey = nSpellLevel & ";" & Trim(sSpellType) & ";" & Trim(sSpellName)
    
End Function

Public Function IsMage() As Boolean
    IsMage = (Trim(sSpellType) = "Mage")
End Function
Public Function IsPriest() As Boolean
    IsPriest = (Trim(sSpellType) = "Priest")
End Function
